describe("gtk.Entry",{
	"before_each": function(){
		g = {};
		g.entry = new gtk.Entry();
		g.entry.show();
	},
	
	"after_each": function(){
		g = {};
	},
	
	"When I call new Entry(), it should create an input box": function(){
		value_of(g.entry instanceof gtk.Entry).should_be_true();
	},
	
	"When I call setText() passing string as argument, it should display the text in entry box": function(){
		g.entry.setText("Here's input box");
		value_of(g.entry.getText()).should_be("Here's input box");
	},
	
	"When I call setWidthChars() with integer as argument, it should change the size of entry": function(){
		g.entry.setWidthChars(20);
		value_of(g.entry.getWidthChars()).should_be(20);
	},
	
	"When I call setMaxLenght() with interger as argument, it should update the maximum length of character can enter to entry": function(){
		g.entry.setMaxLength(150);
		value_of(g.entry.getMaxLength()).should_be(150);
	},
	
	"When I call setVisibility() with boolean true as argument, it should display text in entry as normal text": function(){
		g.entry.setVisibility(true);
		value_of(g.entry.getVisibility()).should_be(true);
	},
	
	"When I call setVisibility() with boolean false as argument, it should display text in entry as normal text": function(){
		g.entry.setVisibility(false);
		value_of(g.entry.getVisibility()).should_be(false);
	},
	
	"When I call getTextLength(), it should return the number of characters in entry": function(){
		g.entry.setText("here's text in entry");
		value_of(g.entry.getTextLength()).should_be(20);
	}
})
