describe("gtk.RadioButton", {
	"before_each": function(){
		g = {};

		g.binMock = mock(gtk.Bin);
		g.binMock.hide = function(){};
		g.binMock.show = function(){};
		g.binMock._domObj = Dom.create({tag: 'div'});
		anyInstance("gtk.Bin", g.binMock);
		g.button = new gtk.Button();
	},
	"after_each": function(){
		g = {};
		verify();
	},
	"When I call setLabel(), I will get value from getLabel()": function(){
		g.button.setLabel("button");
		value_of(g.button.getLabel()).should_be("button");
	},
	"setImage(stock), I will get stock (image) when call method getImage": function(){
		g.button.setImage(pango.BUTTON_CLOSE);
		value_of(g.button.getImage()).should_be(pango.BUTTON_CLOSE);
	}
});
