/**
 * HBoxFactory is a class to create horizontal box as a container. It can contain JSGTK widgets.
 * @param {Boolean} homogeneous The boolean value to be set if the box is homogeneous or not
 * @param {Interger} spacing The integer value in pixel as spacing to be set
 * @param {Interger} padding The integer value in pixel as padding to be set
 * @see gtk.HBox
 * @constructor
 */
gtk.HBoxFactory = function(homogeneous, spacing, padding) {
    return homogeneous ? 
           new gtk.HBoxHomogeneous(spacing, padding) : 
           new gtk.HBoxNoneHomogeneous(spacing, padding);
};
