gtk.StateWindowMaximized = function(window, preState){
    this._window = window;
        
    this._name = gtk.WINDOW_MAXIMIZED;
    this._preState = preState;
};

gtk.StateWindowMaximized.prototype.restore = function(windowOption){
    this._window.getNode().style.position = "absolute";

	this._window.resizeWidthComposite(this._window._restoredOption["width"]);
	this._window.resizeHeightComposite(this._window._restoredOption["height"]);
    this._window.move(this._window._restoredOption["left"], this._window._restoredOption["top"]);

    this._window.showRestoredHeader();
	
    this._window.setState(new gtk.StateWindowRestored(this._window, this));
};

gtk.StateWindowMaximized.prototype.minimize = function(){
    this._window.showMinimizedHeader();

    this._window.setState(new gtk.StateWindowMinimized(this._window, this));
};

gtk.StateWindowMaximized.prototype._setRestoredOption = function(windowOption){
    gtk.StateWindowMaximized.restoredWidth = windowOption["width"];
    gtk.StateWindowMaximized.restoredHeight = windowOption["height"];
    gtk.StateWindowMaximized.restoredLeft = windowOption["left"];
    gtk.StateWindowMaximized.restoredTop = windowOption["top"];
};
