gtk.StateWindowMinimized = function(window, preState){
    this._window = window;
    this._name = gtk.WINDOW_MINIMIZED;
    this._preState = preState;
};

gtk.StateWindowMinimized.prototype.maximize = function(){
    this._window.setState(new gtk.StateWindowMaximized(this._window, this));  
};

gtk.StateWindowMinimized.prototype.restore = function(){

    if(this._window.getState()._preState._name === gtk.WINDOW_MAXIMIZED){
        this._window.getNode().style.position = "fixed";
        this._window.showMaximizedHeader();
        this._window.setState(new gtk.StateWindowMaximized(this._window, this));
    }
    
    if(this._window.getState()._preState._name === gtk.WINDOW_RESTORED){
        this._window.getNode().style.position = "absolute";
        this._window.showRestoredHeader();
        this._window.setState(new gtk.StateWindowRestored(this._window, this));
    }
};
