var model = new gtk.TreeStore();
	
	var accordion = model.append(null, {"display": "gtk.Accordion", "src":"gtk_accordion/accordion.js"});
		model.append(accordion, {"display": "Accordion Event","src": "gtk_accordion/accordion_event.js"});
		model.append(accordion, {"display": "Accordion Activate Tab","src": "gtk_accordion/accordion_tab.js"});
		model.append(accordion, {"display": "Accordion Deactivate Tab","src": "gtk_accordion/accordion_tab_deactivate.js"});
		
	var bubble = model.append(null, {"display": "gtk.Bubble", "src":"gtk_bubble/bubble.js"});
		model.append(bubble, {"display": "Show Tooltip","src": "gtk_accordion/bubble.js"});
		model.append(bubble, {"display": "Hide Tooltip","src": "gtk_accordion/bubble.js"});
		
	var buttonWidget = model.append(null, {"display": "gtk.Button", "src":"gtk_button/button.js"});
		model.append(buttonWidget, {"display": "setLabel()","src": "gtk_button/setLabel.js"});
		model.append(buttonWidget, {"display": "setImage()","src": "gtk_button/setImage.js"});
		model.append(buttonWidget, {"display": "setAsImage()","src": "gtk_button/setAsImage.js"});
		model.append(buttonWidget, {"display": "setTextLabel()","src": "gtk_button/setTextLabel.js"});
		model.append(buttonWidget, {"display": "showLoading()","src": "gtk_button/showLoading.js"});
		model.append(buttonWidget, {"display": "disable()","src": "gtk_button/disable.js"});
		model.append(buttonWidget, {"display": "integration","src": "gtk_button/button_integration.js"});
	
	var labelWidget = model.append(null, {"display": "gtk.Label", "src":"gtk_label/label.js"});
		model.append(labelWidget, {"display": "setEnable()","src": "gtk_label/setEnable.js"});
		model.append(labelWidget, {"display": "setText()","src": "gtk_label/setText.js"});
		model.append(labelWidget, {"display": "enableHoverStyle()","src": "gtk_label/enableHoverStyle.js"});
		model.append(labelWidget, {"display": "setAttribute()","src": "gtk_label/setAttribute.js"});
		model.append(labelWidget, {"display": "setSelectable()","src": "gtk_label/setSelectable.js"});
		model.append(labelWidget, {"display": "setWidthChars()","src": "gtk_label/setWidthChars.js"});
		model.append(labelWidget, {"display": "setJustify()","src": "gtk_label/setJustify.js"});
		model.append(labelWidget, {"display": "setStyle()","src": "gtk_label/setStyle.js"});

	var radioButtonWidget = model.append(null, {"display": "gtk.Radio", "src":"gtk_radio_button/radio_button.js"});

	var radioButtonWidget = model.append(null, {"display": "gtk.CheckButton", "src":"gtk_check_button/check_button.js"});
		model.append(radioButtonWidget, {"display": "setChecked()", "src":"gtk_check_button/setChecked.js"});
		model.append(radioButtonWidget, {"display": "disable()", "src":"gtk_check_button/disable.js"});
	
	var imageWidget = model.append(null, {"display": "gtk.Image", "src":"gtk_images/image.js"});
		model.append(imageWidget, {"display": "enableDelete()", "src":"gtk_images/enableDelete.js"});
		model.append(imageWidget, {"display": "resetSize()", "src":"gtk_images/resetSize.js"});
		model.append(imageWidget, {"display": "setAttribute()", "src":"gtk_images/setAttribute.js"});
	
	var comboboxWidget = model.append(null, {"display": "gtk.ComboBox", "src":"gtk_combobox/combobox.js"});
		model.append(comboboxWidget, {"display": "setSelectedItemBy()", "src":"gtk_combobox/setSelectedItemBy.js"});
		model.append(comboboxWidget, {"display": "getSelectedItem()", "src":"gtk_combobox/getSelectedItem.js"});
		model.append(comboboxWidget, {"display": "showError()", "src":"gtk_combobox/showError.js"});
		model.append(comboboxWidget, {"display": "getActiveText()", "src":"gtk_combobox/getActiveText.js"});
		model.append(comboboxWidget, {"display": "refresh()", "src":"gtk_combobox/refresh.js"});
		model.append(comboboxWidget, {"display": "setModel()", "src":"gtk_combobox/setModel.js"});

	var domWidget = model.append(null, {"display": "gtk.Dom", "src":"gtk_custom_dom_widget/dom.js"});

	var panelWidget = model.append(null, {"display": "gtk.Panel", "src":"gtk_custom_panel_widget/panel_integrate_notebook.js"});
		model.append(panelWidget, {"display": "setBoldTitle()", "src":"gtk_custom_panel_widget/setBoldTitle.js"});
		model.append(panelWidget, {"display": "setTitle()", "src":"gtk_custom_panel_widget/setTitle.js"});
		model.append(panelWidget, {"display": "setTitleJustify()", "src":"gtk_custom_panel_widget/setTitleJustify.js"});
		model.append(panelWidget, {"display": "setTopMost()", "src":"gtk_custom_panel_widget/setTopMost.js"});
		model.append(panelWidget, {"display": "panel_contains_vpand_hpand", "src":"gtk_custom_panel_widget/panel_contains_vpand_hpand.js"});

	var sliderWidget = model.append(null, {"display": "gtk.Slider", "src":"gtk_custom_slider_widget/slider.js"});
		model.append(sliderWidget, {"display": "slider_close_button", "src":"gtk_custom_slider_widget/slider_close_button.js"});

	var entryWidget = model.append(null, {"display": "gtk.Entry", "src":"gtk_entry/entry.js"});
		model.append(entryWidget, {"display": "showError()", "src":"gtk_entry/showError.js"});
		model.append(entryWidget, {"display": "deactivateTextSelectable()", "src":"gtk_entry/deactivateTextSelectable.js"});
		model.append(entryWidget, {"display": "hideBorder()", "src":"gtk_entry/hideBorder.js"});
		model.append(entryWidget, {"display": "setText()", "src":"gtk_entry/setText.js"});
		model.append(entryWidget, {"display": "setWidthChars()", "src":"gtk_entry/setWidthChars.js"});
		model.append(entryWidget, {"display": "setMaxLength()", "src":"gtk_entry/setMaxLength.js"});
		model.append(entryWidget, {"display": "setDisplayLabel()", "src":"gtk_entry/setDisplayLabel.js"});
		model.append(entryWidget, {"display": "setVisibility()", "src":"gtk_entry/setVisibility.js"});
		model.append(entryWidget, {"display": "disable()", "src":"gtk_entry/disable.js"});
		model.append(entryWidget, {"display": "resizeEntryByFont()", "src":"gtk_entry/resizeEntryByFont.js"});

	var entryDropDownWidget = model.append(null, {"display": "gtk.EntryDropDown", "src":"gtk_entry_drop_down/entry_drop_down.js"});
		model.append(entryDropDownWidget, {"display": "setText()", "src":"gtk_entry_drop_down/setText.js"});
		model.append(entryDropDownWidget, {"display": "setSelectedIndex()", "src":"gtk_entry_drop_down/setSelectedIndex.js"});
		model.append(entryDropDownWidget, {"display": "getSelectedRowValue()", "src":"gtk_entry_drop_down/getSelectedRowValue.js"});

	var formWidget = model.append(null, {"display": "gtk.Form", "src":"gtk_form/gtk_form.js"});
		model.append(formWidget, {"display": "form_with_table", "src":"gtk_form/form_with_table.js"});

	var frameWidget = model.append(null, {"display": "gtk.Frame", "src":"gtk_frame/gtk_frame.js"});
		model.append(frameWidget, {"display": "setAttribute()", "src":"gtk_frame/setAttribute.js"});
		model.append(frameWidget, {"display": "setLabelAlign()", "src":"gtk_frame/setLabelAlign.js"});
		model.append(frameWidget, {"display": "frame_with_button", "src":"gtk_frame/frame_with_button.js"});

	var hboxWidget = model.append(null, {"display": "gtk.HBox", "src":"gtk_hboxes/gtk_hbox_homo_all_expand.js"});
		model.append(hboxWidget, {"display": "gtk_hbox_homo_all_no_expand", "src":"gtk_hboxes/gtk_hbox_homo_all_no_expand.js"});
		model.append(hboxWidget, {"display": "gtk_hbox_homo_mix", "src":"gtk_hboxes/gtk_hbox_homo_mix.js"});
		model.append(hboxWidget, {"display": "gtk_hbox_no_homo_all_no_expand", "src":"gtk_hboxes/gtk_hbox_no_homo_all_no_expand.js"});
		model.append(hboxWidget, {"display": "gtk_hbox_no_homo_all_expand.js", "src":"gtk_hboxes/gtk_hbox_no_homo_all_expand.js"});
		model.append(hboxWidget, {"display": "gtk_hbox_homo_mix", "src":"gtk_hboxes/gtk_hbox_homo_mix.js"});
		model.append(hboxWidget, {"display": "lockSize", "src":"gtk_hboxes/lockSize.js"});
		model.append(hboxWidget, {"display": "unlockSize", "src":"gtk_hboxes/unlockSize.js"});

	var vboxWidget = model.append(null, {"display": "gtk.VBox", "src":"gtk_vboxes/gtk_vbox_homo_all_expand.js"});
		model.append(vboxWidget, {"display": "gtk_vbox_homo_all_no_expand", "src":"gtk_vboxes/gtk_vbox_homo_all_no_expand.js"});
		model.append(vboxWidget, {"display": "gtk_vbox_homo_mix", "src":"gtk_vboxes/gtk_vbox_homo_mix.js"});
		model.append(vboxWidget, {"display": "gtk_vbox_no_homo_all_no_expand", "src":"gtk_vboxes/gtk_vbox_no_homo_all_no_expand.js"});
		model.append(vboxWidget, {"display": "gtk_vbox_no_homo_all_expand.js", "src":"gtk_vboxes/gtk_vbox_no_homo_all_expand.js"});
		model.append(vboxWidget, {"display": "lockSize", "src":"gtk_vboxes/lockSize.js"});
		model.append(vboxWidget, {"display": "unlockSize", "src":"gtk_vboxes/unlockSize.js"});

	var vpanedWidget = model.append(null, {"display": "gtk.VPaned", "src":"gtk_vpaned/gtk_vpaned.js"});
		model.append(vpanedWidget, {"display": "gtk_vpaned_listview", "src":"gtk_vpaned/gtk_vpaned_listview.js"});
		model.append(vpanedWidget, {"display": "gtk_vpaned_vbox", "src":"gtk_vpaned/gtk_vpaned_vbox.js"});	

	var hpanedWidget = model.append(null, {"display": "gtk.HPand", "src":"gtk_hpaned/gtk_hpaned.js"});
		model.append(hpanedWidget, {"display": "setPosition()", "src":"gtk_hpaned/setPosition.js"});
		model.append(hpanedWidget, {"display": "restoreStatus()", "src":"gtk_hpaned/restoreStatus.js"});
		model.append(hpanedWidget, {"display": "autoResize()", "src":"gtk_hpaned/autoResize.js"});
		model.append(hpanedWidget, {"display": "enableDrawerLeft()", "src":"gtk_hpaned/enableDrawerLeft.js"});
		model.append(hpanedWidget, {"display": "hpaned_vbox", "src":"gtk_hpaned/hpaned_vbox.js"});	
	
	var justifiedLabelWidget = model.append(null, {"display": "gtk.JustifiedLabel", "src":"gtk_justified_label/gtk_justified_label.js"});
		model.append(justifiedLabelWidget, {"display": "setAttribute", "src":"gtk_justified_label/setAttribute.js"});
		model.append(justifiedLabelWidget, {"display": "signals", "src":"gtk_justified_label/signals.js"});
		model.append(justifiedLabelWidget, {"display": "clearModel", "src":"gtk_justified_label/clearModel.js"});

	var liquidboxWidget = model.append(null, {"display": "gtk.LiquidBox", "src":"gtk_liquid_box/gtk_liquid_box.js"});
		model.append(liquidboxWidget, {"display": "refresh()", "src":"gtk_liquid_box/refresh.js"});
		model.append(liquidboxWidget, {"display": "removeChild()", "src":"gtk_liquid_box/removeChild.js"});
	
	var listviewWidget = model.append(null, {"display": "gtk.ListView", "src":"gtk_list_view/gtk_listview.js"});
		model.append(listviewWidget, {"display": "model_appendRows", "src":"gtk_list_view/model_appendRows.js"});
		model.append(listviewWidget, {"display": "filterRowsByValue()", "src":"gtk_list_view/filterRowsByValue.js"});
		model.append(listviewWidget, {"display": "getSelectedRow()", "src":"gtk_list_view/getSelectedRow.js"});
		model.append(listviewWidget, {"display": "setSelectedRow()", "src":"gtk_list_view/setSelectedRow.js"});
		model.append(listviewWidget, {"display": "setSelectedRowByIndex()", "src":"gtk_list_view/setSelectedRowByIndex.js"});
		model.append(listviewWidget, {"display": "setModel()", "src":"gtk_list_view/setModel.js"});
		model.append(listviewWidget, {"display": "updateValue()", "src":"gtk_list_view/updateValue.js"});

	var menuWidget = model.append(null, {"display": "gtk.Menu", "src":"gtk_menu_item/gtk_menu_item.js"});

	var multipanelWidget = model.append(null, {"display": "gtk.MultiPanelContainer", "src":"gtk_multiple_panel_container/gtk_multiPanel_empty.js"});
		model.append(multipanelWidget, {"display": "removeChild()", "src":"gtk_multiple_panel_container/removeChild.js"});

	var noteBookWidget = model.append(null, {"display": "gtk.NoteBook", "src":"gtk_note_book/gtk_note_book.js"});
		model.append(noteBookWidget, {"display": "setActiveTabByTab()", "src":"gtk_note_book/setActiveTabByTab.js"});
		model.append(noteBookWidget, {"display": "notebook_with_blank", "src":"gtk_note_book/notebook_with_blank.js"});
		model.append(noteBookWidget, {"display": "updatePage", "src":"gtk_note_book/updatePage.js"});

	var popupWindowWidget = model.append(null, {"display": "gtk.PopupWindow", "src":"gtk_popup_window/gtk_popup_window_default.js"});
		model.append(popupWindowWidget, {"display": "gtk.PopupWindowDefault", "src":"gtk_popup_window/gtk_popup_window_default.js"});
		model.append(popupWindowWidget, {"display": "gtk.PopupWindowConfirm", "src":"gtk_popup_window/gtk_popup_window _confirm.js"});
		model.append(popupWindowWidget, {"display": "gtk.PopupWindowError", "src":"gtk_popup_window/gtk_popup_window_error.js"});
		model.append(popupWindowWidget, {"display": "gtk.PopupWindowInfo", "src":"gtk_popup_window/gtk_popup_window_info.js"});
		model.append(popupWindowWidget, {"display": "gtk.PopupWindowWarning", "src":"gtk_popup_window/gtk_popup_window_warning.js"});
	
	var scrollerWidget = model.append(null, {"display": "gtk.Scroller", "src":"gtk_scrolled_window/gtk_scroller_child_expand.js"});
		model.append(scrollerWidget, {"display": "gtk_scroller_child_none_expand", "src":"gtk_scrolled_window/gtk_scroller_child_none_expand.js"});

	model.append(null, {"display": "gtk.SmartEntryDropDownFixedModel", "src":"gtk_smart_entry/gtk_smart_entry_fixed_model.js"});
	model.append(null, {"display": "gtk.SmartEntryDropDownDynamicModel", "src":"gtk_smart_entry/gtk_smart_entry_dynamic_model.js"});

	var tableHomoWidget = model.append(null, {"display": "gtk.TableHomogenoues", "src":"gtk_table/gtk_table_homo.js"});
		model.append(tableHomoWidget, {"display": "gtk_table_homo_filled", "src":"gtk_table/gtk_table_homo_filled.js"});

	var tableNoHomoWidget = model.append(null, {"display": "gtk.TableNoneHomogenoues", "src":"gtk_table/gtk_table_none_homo.js"});
		model.append(tableNoHomoWidget, {"display": "gtk_table_none_homo_filled", "src":"gtk_table/gtk_table_none_homo_filled.js"});

	var texteditorWidget = model.append(null, {"display": "gtk.TextEditor", "src":"gtk_text_editor/gtk_text_editor.js"});
		model.append(texteditorWidget, {"display": "setMaxLength()", "src":"gtk_text_editor/setMaxLength.js"});

	var textviewWidget = model.append(null, {"display": "gtk.TextView", "src":"gtk_text_view/gtk_text_view.js"});
		model.append(textviewWidget, {"display": "gtk_text_view_allowEnter_key", "src":"gtk_text_view/gtk_text_view_allowEnter_key.js"});
		model.append(textviewWidget, {"display": "gtk_text_view_inside_hbox", "src":"gtk_text_view/gtk_text_view_inside_hbox.js"});

	var treeviewWidget = model.append(null, {"display": "gtk.TreeView", "src":"gtk_treeview/gtk_treeview.js"});
		model.append(treeviewWidget, {"display": "model.append()", "src":"gtk_treeview/model_append.js"});
		model.append(treeviewWidget, {"display": "gtk_treeview_delete_node", "src":"gtk_treeview/gtk_treeview_delete_node.js"});
		model.append(treeviewWidget, {"display": "gtk_treeview_getSelectedNode", "src":"gtk_treeview/gtk_treeview_getSelectedNode.js"});

	var unorderlistWidget = model.append(null, {"display": "gtk.UnorderList", "src":"gtk_unorder_list/gtk_unorder_list_setListType.js"});
		model.append(unorderlistWidget, {"display": "setLineHeight()", "src":"gtk_unorder_list/gtk_unorder_list_setLineHeight.js"});
		model.append(unorderlistWidget, {"display": "setCoursorPointer()", "src":"gtk_unorder_list/gtk_unorder_list_setCoursorPointer.js"});


	var uploadbuttonWidget = model.append(null, {"display": "gtk.UploadButton", "src":"gtk_upload_button/gtk_upload_button.js"});
		model.append(uploadbuttonWidget, {"display": "setAsImage()", "src":"gtk_upload_button/setAsImage.js"});
		model.append(uploadbuttonWidget, {"display": "setEnable()", "src":"gtk_upload_button/setEnable.js"});
		model.append(uploadbuttonWidget, {"display": "setImage()", "src":"gtk_upload_button/setImage.js"});
		model.append(uploadbuttonWidget, {"display": "showLoading()", "src":"gtk_upload_button/showLoading.js"});

	var windowWidget = model.append(null, {"display": "gtk.Window", "src":"gtk_window/gtk_window.js"});
		model.append(windowWidget, {"display": "Disable Control", "src":"gtk_window/gtk_window_disable_control.js"});
		model.append(windowWidget, {"display": "Disable Resize", "src":"gtk_window/gtk_window_disable_resize.js"});
		model.append(windowWidget, {"display": "Show Modal", "src":"gtk_window/gtk_window_show_modal.js"});
		model.append(windowWidget, {"display": "Set Position", "src":"gtk_window/gtk_window_setposition.js"});



