#!/bin/bash

# Gems
required_gems="sprockets"

# Install Ruby Gems manually
if ! which gem >/dev/null; then
    wget http://rubyforge.org/frs/download.php/60718/rubygems-1.3.5.tgz
    tar xvfz rubygems-1.3.5.tgz
    sudo ruby rubygems-1.3.5/setup.rb
    ln -s /usr/bin/gem1.8 /usr/bin/gem
    gem update --system
    rm -rf rubygems-1.3.5.tgz rubygems-1.3.5
fi

# Install required gems
for required_gem in ${required_gems}
do
    if ! gem list | grep $required_gem >/dev/null; then
	gem install $required_gem
    fi
done

sudo gem install sprockets

echo "Sprocketize..."
sprocketize sprocket > jsgtk_min.js

echo "Done!"

