describe('jsgtk.Dom helper', {
	'before_each': function(){
		g = {};
		g.domHelper = jsgtk.Dom;
	},
	'after_each': function(){
		g = {};
	},
	'create': function(){
		g.tag = g.domHelper.create({tag: "div"});
		value_of(g.tag).should_be(<div></div>);
	},
	"getTextSize()": function(){
		value_of(g.domHelper.getTextSize("this is text")[0]).should_be(70);
		value_of(g.domHelper.getTextSize("this is text")[1]).should_be(21);
	},
	"showElement()": function(){
		g.element = g.domHelper.create({tag: "div"});
		g.domHelper.showElement(g.element);
		value_of(g.element.style.display).should_be("block");
	},
	"hideElement()": function(){
		g.element = g.domHelper.create({tag: "div"});
		g.domHelper.hideElement(g.element);
		value_of(g.element.style.display).should_be("none");
	},
	"isShowed()": function(){
		g.element = g.domHelper.create({tag: "div"});
		g.domHelper.hideElement(g.element);
		value_of(g.domHelper.isShowed(g.element)).should_be_false();

		g.domHelper.showElement(g.element);
		value_of(g.domHelper.isShowed(g.element)).should_be_true();
	},
	"applyAttributes()": function(){
		g.element = g.domHelper.create({tag: "div"});
		g.domHelper.applyAttributes(g.element, {"width": "12px"});
		value_of(g.element.style.width).should_be("12px");
	}
});

