/*
* class gtk.SmartEntryDropDownController
*/
gtk.DropDownController = function(view, model, label){
	this.__selectedNodeData = null;
	var self = this;
	
	var data = this.__mashupModel(model.getChildren(), []);
	this.__dropDown = view._renderDropDown(model.getChildren());
	view._appendDropDown(this.__dropDown);
	view._setDisplayedLabel(label);
	
	view.connect("_search", function(value){
		var path = model._search(value);
		if(path) view._hilightRow(path.getPath());
	});
};

/** @private */
gtk.DropDownController.prototype.__mashupModel = function(nodes, emptyBoxes){
    var data = [], node, hasChild;
    for(var i = 0, len = nodes.length; i < len; i++){
        node = nodes[i];
        hasChild = (node.getChildren().length  > 0) || node.hasNode ? true :  false;
        data.push({"value": node.getValue()["value"], "hasChildNodes": hasChild, "path": node.getPath(), "emptyBoxes": [].concat(emptyBoxes)});
    }
    return data;
};
