/**
 * A class used to instantiate Toolbar Buttons
 * @constructor
 * @param {String} style, as string to set toolbar button class name
 * @param {String} title, as string to display tooltips of each toolbar button
 * @param {Object} domToolbar, as object to append data into toolbar
 */
 
gtk.TextEditorToolbar = function(style, title, domToolbar){
    this._domObj = jsgtk.Dom.create({append: domToolbar, tag: "span", title: title, className: "gtk_text_editor_"+style });
    this._domObj._activate = false;
    this._domObj._styleName = style;
    return this._domObj; 
};


