gtk.TextEditor = function(){
      gtk.Widget.apply(this); 
      var self = this;
      this._width = 500; // 400
      this._height = 200;// 150
      this._isBold = false;
      this._isItalic = false;
      this._isUnderline = false;
      this._isStrikethrough = false;
      this._isToolbarBold = false;
      this._isJustifyLeft = false;
      this._isJustifyCenter = false;
      this._isJustifyRight = false;
      this._isJustifyFull = false;
      this._enterKeyPressed = false;
      this._isTextColorVisible = false;
      this._isHighlightColorVisible = false;
      this._isFontVisible = false;
      this._isFontSizeVisible = false;
      this._isLinkActive = false;
      this._isNumberedList = false;
      this._isBulleted = false;
      this._arrayColorBoxDom = [];
      this._arrayColorCode = [
                                ["FFFFFF", "B7B7B7", "8E8E8E", "5B5B5B", "515151", "282828", "1E1E1E", "000000"],
                                ["FFC1C1", "F08080", "FF6A6A", "FD0500", "EE0000", "CD0000", "8B0000", "8B2500"],
                                ["E3A869", "ED9121", "FF8C00", "FF7F00", "FF8000", "EE7600", "CD6600", "8B4500"],
                                ["FFFFE0", "FFF68F", "FFFF00", "F7F868", "FCFE01", "E7E90B", "C8CA07", "808000"],
                                ["C1FFC1", "9AFF9A", "90F878", "00FF00", "00CD00", "008B00", "006400", "185f07"],
                                ["BBFFFF", "8DEEEE", "00FFFF", "00EEEE", "00CDCD", "03A89E", "008080", "2F4F4F"],
                                ["CAE1FF", "63B8FF", "5CACEE", "1C86EE", "1874CD", "0000FF", "104E8B", "191970"],
                                ["FFBBFF", "EE82EE", "FF00FF", "BF3EFF", "9400D3", "7D26CD", "551A8B", "4B0082"]
                              ];
      this._arrayFontType = ["Arial", "Comic Sans MS", "Courier New", "Georgia", "Helvetica","Narrow", "Sans Serif", "Tahoma", "Times New Roman", "Verdana"];
      
      this._render = function(){
        this._domObj.className += " gtk_text_editor";
            this._domToolbar = jsgtk.Dom.create({append: this._domObj, tag: "div", className:"gtk_text_editor_toolbar"});
            this._buttonBold = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Bold ", className:"gtk_text_editor_bold"});
            this._buttonItalic = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Italic ", className:"gtk_text_editor_italic"});
            this._buttonUnderline = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Underline ", className:"gtk_text_editor_underline"});
            this._buttonStrikethrough = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Strikethrough ", className:"gtk_text_editor_strikethrough"});
            this._buttonJustifyLeft = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Left Alignment ", className:"gtk_text_editor_justifyleft"});
            this._buttonJustifyCenter = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Center Alignment ", className:"gtk_text_editor_justifycenter"});
            this._buttonJustifyRight = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Right Alignment ", className:"gtk_text_editor_justifyright"});
            this._buttonJustifyFull = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Full Alignment ", className:"gtk_text_editor_justifyfull"});
            this._buttonTextColor = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Font Color ", className:"gtk_text_editor_textcolor"});
            this._divColorContainer = jsgtk.Dom.create({append: this._domToolbar, tag: "div", className:"gtk_text_editor_colorcontainer"});
            this._divColorRow = jsgtk.Dom.create({tag: "div", className:"gtk_text_editor_colorrow"});
            this._colorBox1 = jsgtk.Dom.create({tag: "span"});
            this._createColorBox();
            
            this._buttonHighlight = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Highlight Text ", className:"gtk_text_editor_highlight"});
            this._divHighlightColor =  this._divColorContainer.cloneNode(true);
            this._divHighlightColor.className = "gtk_text_editor_highlight_container";
            this._domToolbar.appendChild(this._divHighlightColor);
            
            this._buttonFontType = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Font Name ", className:"gtk_text_editor_fonttype"});
            this._divFontTypeContainer = jsgtk.Dom.create({append: this._domToolbar, tag: "div", className:"gtk_text_editor_fonttypecontainer"});
            this._createFontType();
            
            this._buttonFontSize = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Font Size ", className:"gtk_text_editor_fontsize"});
            this._divFontSizeContainer = jsgtk.Dom.create({append: this._domToolbar,tag: "div", className:"gtk_text_editor_fontsizecontainer"});
            this._createFontSize();
            
            this._buttonLink = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Link ", className:"gtk_text_editor_link"});
           
            this._buttonBulletedList = jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Bulleted List ", className:"gtk_text_editor_bulleted"});
            this._buttonNumberedList= jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Numbered List ", className:"gtk_text_editor_numberedlist"}); 
            
            this._buttonIndent= jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Indent ", className:"gtk_text_editor_indent"});
            this._buttonOutdent= jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:" Outdent", className:"gtk_text_editor_outdent"});
            this._buttonRemoveStyle= jsgtk.Dom.create({append: this._domToolbar, tag: "span", title:"Remove style", className:"gtk_text_editor_removestyle"});
            
            this._iFrameDiv = jsgtk.Dom.create({tag: "div", className:"gtk_text_editor_iframediv"});
            this._iFrameDomobj = jsgtk.Dom.create({append: this._iFrameDiv, tag: "iframe", className:"gtk_text_editor_iframe"});
            this._domObj.appendChild(this._iFrameDiv);
            
            this._iFrameDomobj.onload = function(){
                self._iFrameInitEvent();
            };
            
            
            var domObjStyle = this._domObj.style;
            domObjStyle.width = this._width + "px";
            domObjStyle.height = this._height + "px";
                                               
            var iFrameStyle = this._iFrameDomobj.style;
            iFrameStyle.width = this._width - 2 + "px";
            iFrameStyle.height = this._height - 25 + "px";
        
      };
      this._render();
                 
      this._initEvent();
};

gtk.TextEditor.prototype = new gtk.Widget();
gtk.TextEditor.prototype.constructor = gtk.TextEditor;

gtk.TextEditor.prototype._createFontSize = function(){
    var domFontSize = jsgtk.Dom.create({tag: "span", className:"gtk_text_editor_fontsizetype"});
    for(var i=1;i<=7;i++){
       var fontSize = domFontSize.cloneNode(false);
       fontSize.innerHTML = "Size " + i;
       fontSize.style.fontSize = i + 6 + "pt";
       this._divFontSizeContainer.appendChild(fontSize);
    }
};
gtk.TextEditor.prototype._createFontType = function(){
    var domFontType = jsgtk.Dom.create({tag: "span", className:"gtk_text_editor_fontname"});
    for(var i=0;i<10;i++){
        var fontType = domFontType.cloneNode(false);
        fontType.innerHTML = this._arrayFontType[i];
        fontType.style.fontFamily = this._arrayFontType[i];
        this._divFontTypeContainer.appendChild(fontType);
    }
};
gtk.TextEditor.prototype._setStyle = function(styleName, argVal){
    var iFrameDoc = this._getIFrameDoc();
    iFrameDoc.execCommand(styleName, false, argVal);    
};

gtk.TextEditor.prototype._createColorBox = function(){
    for(i=0;i<8;i++){
        var divColorRow = this._divColorRow.cloneNode(false);
        var marginLeft = 0;
        for(var j = 0;j<8;j++){
            var colorBox = this._colorBox1.cloneNode(false);
                colorBox.style.marginLeft = marginLeft + "px";
                colorBox.style.backgroundColor = "#" + this._arrayColorCode[i][j];
                divColorRow.appendChild(colorBox);
            this._arrayColorBoxDom.push(colorBox);
            marginLeft += 15;
        }
        this._divColorContainer.appendChild(divColorRow);
    }
};


gtk.TextEditor.prototype._setFontColor = function(colorCode){
    this._setStyle("ForeColor", colorCode);
};
gtk.TextEditor.prototype._setBackgroundColor = function(colorCode){
    this._setStyle("hiliteColor", colorCode);
};

gtk.TextEditor.prototype._setFontType = function(fontName){
    this._setStyle("fontName", fontName);
};
gtk.TextEditor.prototype._setFontSize = function(fontSize){
    this._setStyle("fontSize", parseInt(fontSize)-6);
};

gtk.TextEditor.prototype._getColorCode = function(colorBoxObj){
    return colorBoxObj.style.backgroundColor;
};

gtk.TextEditor.prototype._getFontName = function(divFontObj){
    return divFontObj.style.fontFamily;
};

gtk.TextEditor.prototype._getFontSize = function(divFontSizeObj){
    return divFontSizeObj.style.fontSize;
};

gtk.TextEditor.prototype._RGBToHex = function(r, g, b){
    return (this._toHex(r) + this._toHex(g) + this._toHex(b));
};
gtk.TextEditor.prototype._toHex = function(n){
     var hexChar = "0123456789ABCDEF";
     return String(hexChar.charAt(Math.floor(n / 16))) + String(hexChar.charAt(n - (Math.floor(n / 16) * 16)));
};

gtk.TextEditor.prototype._getSelectedText = function(){
    var selectedText = this._getIFrameDoc().getSelection();
    return selectedText;
};

gtk.TextEditor.prototype._getCommandState = function(StyleCmd){
    var formatValue = this._getIFrameDoc().queryCommandState(StyleCmd);
    return formatValue;
};

gtk.TextEditor.prototype._getIFrameDoc = (function(){
    var iFrameObj = this._iFrameDomobj;
    var iFrameDoc = iFrameObj.contentDocument || iFrameObj.contentWindow;
    return iFrameDoc.document ? iFrameDoc.document : iFrameDoc;
});

gtk.TextEditor.prototype.setEditableMode = function(){
    var iFrameDoc = this._getIFrameDoc();
    iFrameDoc.designMode = "on";
};

gtk.TextEditor.prototype.setFocus = function(){
    var iFrameDoc = this._getIFrameDoc();
    this._iFrameDomobj.contentWindow.focus();
};

gtk.TextEditor.prototype._initEvent = function(){
    var self= this;
    jsgtk.Event.addDomListener(this._buttonBold, "click", function(){
        self._triggerToggleBold();
    });

    jsgtk.Event.addDomListener(this._buttonItalic, "click", function(){
        self._triggerToggleItalic();
    });
    
    jsgtk.Event.addDomListener(this._buttonUnderline, "click", function(){
        self._triggerToggleUnderline();
    });
    
    jsgtk.Event.addDomListener(this._buttonStrikethrough, "click", function(){
        self._triggerToggleStrikethrough();
    });
    
    jsgtk.Event.addDomListener(this._buttonJustifyLeft, "click", function(){
        
        self._triggerToggleJustifyLeft();
        self._isJustifyLeft = true;
    });
    
    jsgtk.Event.addDomListener(this._buttonJustifyCenter, "click", function(){
        self._triggerToggleJustifyCenter();
        self._isJustifyCenter = true;
    });
    
    jsgtk.Event.addDomListener(this._buttonJustifyRight, "click", function(){     
        self._triggerToggleJustifyRight();
        self._isJustifyRight = true;
    });
    
    jsgtk.Event.addDomListener(this._buttonJustifyFull, "click", function(){
        self._triggerToggleJustifyFull();
        self._isJustifyFull = true;
    });
    
    jsgtk.Event.addDomListener(this._buttonTextColor, "click", function(e){
        if(!self._isTextColorVisible){
            self._hideHighlightColorPicker();
            self._hideFontType();
            self._hideFontSize();
            self._showTextColorPicker();
            jsgtk.Event.stopBubble(e);
        }
        else{
            self._hideTextColorPicker();
            jsgtk.Event.stopBubble(e);
        }
        
    });
    jsgtk.Event.addDomListener(document.body, "click", function(e){
            self._hideTextColorPicker();
            self._hideFontType();
            self._hideHighlightColorPicker();
            self._hideFontSize();
            jsgtk.Event.stopBubble(e);
    });
    
    jsgtk.Event.addDomListener(this._divColorContainer, "click", function(e){
           self._setFontColor(self._getColorCode(e.target));
           self.setFocus();
    });
    
    jsgtk.Event.addDomListener(this._buttonHighlight, "click", function(e){
        if(!self._isHighlightColorVisible){
            self._hideTextColorPicker();
            self._hideFontType();
            self._hideFontSize();
            self._showHighlightColorPicker();
            jsgtk.Event.stopBubble(e);
        }
        else{
            self._hideHighlightColorPicker();
            jsgtk.Event.stopBubble(e);
        }
        
    });
    
    jsgtk.Event.addDomListener(this._divHighlightColor, "click", function(e){
           self._setBackgroundColor(self._getColorCode(e.target));
           self.setFocus();
    });
    
    jsgtk.Event.addDomListener(this._buttonFontType, "click", function(e){
        if(!self._isFontVisible){
            self._hideTextColorPicker();
            self._hideHighlightColorPicker();
            self._hideFontSize();
            self._showFontType();
            jsgtk.Event.stopBubble(e);
        }
        else{
            self._hideFontType();
            jsgtk.Event.stopBubble(e);
        }
        
    });
    jsgtk.Event.addDomListener(this._divFontTypeContainer, "click", function(e){
           self._setFontType(self._getFontName(e.target));
           self.setFocus();
    });
    
    jsgtk.Event.addDomListener(this._buttonFontSize, "click", function(e){
        if(!self._isFontSizeVisible){
            self._hideTextColorPicker();
            self._hideHighlightColorPicker();
            self._hideFontType();
            self._showFontSize();
            jsgtk.Event.stopBubble(e);
        }
        else{
            self._hideFontSize();
            jsgtk.Event.stopBubble(e);
        }
        
    });
    
    jsgtk.Event.addDomListener(this._divFontSizeContainer, "click", function(e){
           self._setFontSize(self._getFontSize(e.target));
           self.setFocus();
    });
    
    jsgtk.Event.addDomListener(this._buttonLink, "click", function(e){
       self._linkCommand(e);
    });
    
    jsgtk.Event.addDomListener(this._buttonBulletedList, "click", function(e){
       self._triggerToggleBulleted(e);
    });
    jsgtk.Event.addDomListener(this._buttonNumberedList, "click", function(e){
       self._triggerToggleNumberedList(e);
    });
    jsgtk.Event.addDomListener(this._buttonIndent, "click", function(){
       self._setStyle("indent");
    });
    jsgtk.Event.addDomListener(this._buttonOutdent, "click", function(){
       self._setStyle("outdent");
    });
    jsgtk.Event.addDomListener(this._buttonRemoveStyle, "click", function(){
       self._setStyle("removeFormat");
    });
};

gtk.TextEditor.prototype._linkCommand = function (e) {
   var self = this;
   var elementName = this._getAncestor(this._getSelectTextObj().anchorNode);
   if(!elementName){
          this._showPopupLink();
          this._linkEntry.setFocus();
          this._cancelButton.connect("clicked", function(){
                self._popup.close();
                jsgtk.Event.stopBubble(e);
          });
          this._okButton.connect("clicked", function(){
                if(self._getSelectedText() != ""){
                    if(self._trim(self._linkEntry.getText()) != ""){
                        self._setStyle("createLink", self._linkEntry.getText());
                        self._buttonLink.className +=" gtk_text_editor_active";
                        self._popup.close();
                        self.setFocus();
                        jsgtk.Event.stopBubble(e);
                    }
                }
                else{
                    if(self._trim(self._linkEntry.getText()) != ""){
                        self._setStyle("insertHTML", "<a href="+ self._linkEntry.getText() + ">"+ self._linkEntry.getText() +"</a>");
                        self._buttonLink.className +=" gtk_text_editor_active";
                        self._popup.close();
                        self.setFocus();
                        jsgtk.Event.stopBubble(e);
                    }
                }
           }); 
                   
    }   
    else{
        this._buttonLink.className =" gtk_text_editor_link";
        this._setStyle("unlink");
    }	
};
gtk.TextEditor.prototype._getSelectTextObj = function(){
    return this._iFrameDomobj.contentWindow.getSelection();
};

gtk.TextEditor.prototype._trim = function(str) { return str.replace(/^\s+|\s+$/, ''); };

gtk.TextEditor.prototype._getAncestor = function(el) {
	while (el.tagName != "BODY") {
		if (el.tagName == "A") {
		    return true;
		}else{
		    el = el.parentNode;
		}
	}
	return false;
};
gtk.TextEditor.prototype._showPopupLink = function(){
       var content = this._createPopupLink();
       var obj = {
	        title: "Enter a link in the following field:",
	        node: content
	    };

       this._popup = new gtk.Popup(obj);
       this._popup.getNode().style.border = "1px solid orange";
       this._popup.getNode().style.MozBorderRadius = "4px";
       this._popup.getNode().childNodes[2].className += " gtk_text_editor_popup_header";
};
gtk.TextEditor.prototype._createPopupLink = function(){
   var content = jsgtk.Dom.create({"tag": "div", "style": "display: block"});
   var table = new gtk.TableFactory(2, 2, false, false, 30);

       var linkLabel = new gtk.Label("Link to :");
       this._linkEntry = new gtk.Entry();
       this._linkEntry.resizeEntryByFont(18);
       this._linkEntry.setWidthChars(36);
       this._linkEntry.setFocus();
       
    
   var hboxFooter = new gtk.HBoxFactory(false,0);
       this._okButton = new gtk.Button("Ok");
       this._okButton.setSizeRequest(82, 22);
       this._cancelButton = new gtk.Button("Cancel");
       this._cancelButton.setSizeRequest(82, 22);
       hboxFooter.packStart(this._okButton,{"expand": true, "fill": false, "padding": 0});
       hboxFooter.packStart(this._cancelButton,{"expand": true, "fill": false, "padding": 10});
       
       
    table.attach(linkLabel, 0, 1, 0, 1, {align: gtk.JUSTIFY_RIGHT, fill: true}, {align: gtk.JUSTIFY_CENTER, fill: true}, 30, 24);
    table.attach(this._linkEntry, 1, 2, 0, 1, {align: gtk.JUSTIFY_LEFT, fill: false}, {align: gtk.JUSTIFY_CENTER, fill: true}, 10, 20);
    table.attach(hboxFooter, 1, 2, 1, 2, {align: gtk.JUSTIFY_RIGHT, fill: false}, {align: gtk.JUSTIFY_CENTER, fill: true}, 1, 50);
    table.resizeHeightComposite(150);
    
   content.appendChild(table.getNode()); 
   return content;
};
gtk.TextEditor.prototype._showTextColorPicker = function(){
    this._divColorContainer.style.display = "block";
    this._isTextColorVisible = true;
};
gtk.TextEditor.prototype._hideTextColorPicker = function(){
    this._divColorContainer.style.display = "none";
    this._isTextColorVisible = false;
};

gtk.TextEditor.prototype._showHighlightColorPicker = function(){
    this._divHighlightColor.style.display = "block";
    this._isHighlightColorVisible = true;
};
gtk.TextEditor.prototype._hideHighlightColorPicker = function(){
    this._divHighlightColor.style.display = "none";
    this._isHighlightColorVisible = false;
};
gtk.TextEditor.prototype._showFontType = function(){
    this._divFontTypeContainer.style.display = "block";
    this._isFontVisible = true;
};
gtk.TextEditor.prototype._hideFontType = function(){
    this._divFontTypeContainer.style.display = "none";
    this._isFontVisible = false;
};
gtk.TextEditor.prototype._showFontSize = function(){
    this._divFontSizeContainer.style.display = "block";
    this._isFontSizeVisible = true;
};
gtk.TextEditor.prototype._hideFontSize = function(){
    this._divFontSizeContainer.style.display = "none";
    this._isFontSizeVisible = false;
};

gtk.TextEditor.prototype._triggerToggleBulleted = function(){
    if(this._isBulleted === false){
            this._buttonBulletedList.className += " gtk_text_editor_active";
            this._isBulleted = true;
            
            this._setStyle("insertUnorderedList");
        }
        else{
            this._buttonBulletedList.className = "gtk_text_editor_bulleted";
            this._isBulleted = false;
            this._setStyle("insertUnorderedList");            
        } 
        this._buttonNumberedList.className = "gtk_text_editor_numberedlist";
        this._isNumberedList = false;         
        this.setFocus();
};
gtk.TextEditor.prototype._triggerToggleNumberedList = function(){
    if(this._isNumberedList === false){
            this._buttonNumberedList.className += " gtk_text_editor_active";
            this._isNumberedList = true;
            this._setStyle("insertOrderedList");
        }
        else{
            this._buttonNumberedList.className = "gtk_text_editor_numberedlist";
            this._isNumberedList = false;
            this._setStyle("insertOrderedList");            
        }  
        this._isBulleted = false;
        this._buttonBulletedList.className = "gtk_text_editor_bulleted";        
        this.setFocus();
};

gtk.TextEditor.prototype._triggerToggleBold = function(){
    if(this._isBold == false && this._enterKeyPressed == false){
            this._buttonBold.className += " gtk_text_editor_active";
            this._isBold = true;
            this._setStyle("Bold");
        }
        else if (this._enterKeyPressed == false && this._isBold == true){
            this._buttonBold.className = "gtk_text_editor_bold";
            this._isBold = false;
            this._setStyle("Bold");            
        }
        else if (this._enterKeyPressed == true && this._isBold == false){
            this._buttonBold.className += " gtk_text_editor_active";
            this._isBold = true;
            this._setStyle("Bold");
            this._enterKeyPressed = false; 
        }
        else if(this._enterKeyPressed == true && this._isBold == true){
            this._removeStyle(this._buttonBold,"bold");
            this._isBold = false;
            this._enterKeyPressed = false; 
        }           
        this.setFocus();
};

gtk.TextEditor.prototype._triggerToggleItalic = function(){
    if(this._isItalic == false && this._enterKeyPressed == false){
            this._buttonItalic.className += " gtk_text_editor_active";
            this._isItalic = true;
            this._setStyle("italic");
        }
        else if (this._enterKeyPressed == false && this._isItalic == true){
            this._buttonItalic.className = "gtk_text_editor_italic";
            this._isItalic = false;
            this._setStyle("italic");            
        }
        else if (this._enterKeyPressed == true && this._isItalic == false){
            this._buttonItalic.className += " gtk_text_editor_active";
            this._isItalic = true;
            this._setStyle("italic");
            this._enterKeyPressed = false;            
        }
        else if(this._enterKeyPressed == true && this._isItalic == true){
            this._removeStyle(this._buttonItalic,"italic");
            this._isItalic = false;
            this._enterKeyPressed = false;    
        }           
        this.setFocus();
};

gtk.TextEditor.prototype._triggerToggleUnderline = function(){
    if(this._isUnderline == false && this._enterKeyPressed == false){
            this._buttonUnderline.className += " gtk_text_editor_active";
            this._isUnderline = true;
            this._setStyle("underline");
        }
        else if (this._enterKeyPressed == false && this._isUnderline == true){
            this._buttonUnderline.className = "gtk_text_editor_underline";
            this._isUnderline = false;
            this._setStyle("underline");            
        }
        else if (this._enterKeyPressed == true && this._isUnderline == false){
            this._buttonUnderline.className += " gtk_text_editor_active";
            this._isUnderline = true;
            this._setStyle("underline");
            this._enterKeyPressed = false;            
        }
        else if(this._enterKeyPressed == true && this._isUnderline == true){
            this._removeStyle(this._buttonUnderline,"underline");
            this._isUnderline = false;
            this._enterKeyPressed = false;    
        }           
        this.setFocus();
};

gtk.TextEditor.prototype._triggerToggleStrikethrough = function(){
    if(this._isStrikethrough == false && this._enterKeyPressed == false){
            this._buttonStrikethrough.className += " gtk_text_editor_active";
            this._isStrikethrough = true;
            this._setStyle("strikethrough");
        }
        else if (this._enterKeyPressed == false && this._isStrikethrough == true){
            this._buttonStrikethrough.className = "gtk_text_editor_strikethrough";
            this._isStrikethrough = false;
            this._setStyle("strikethrough");            
        }
        else if (this._enterKeyPressed == true && this._isStrikethrough == false){
            this._buttonStrikethrough.className += " gtk_text_editor_active";
            this._isStrikethrough = true;
            this._setStyle("strikethrough");
            this._enterKeyPressed = false; 
        }
        else if(this._enterKeyPressed == true && this._isStrikethrough == true){
            this._removeStyle(this._buttonStrikethrough,"strikethrough");
            this._isStrikethrough = false;
            this._enterKeyPressed = false; 
        }           
        this.setFocus();
};

gtk.TextEditor.prototype._triggerToggleJustifyLeft = function(){
    if(!this._isJustifyLeft){
            this._buttonJustifyLeft.className += " gtk_text_editor_active";
            this._setStyle("justifyleft");

            this._isJustifyCenter = false;
            this._buttonJustifyCenter.className = "gtk_text_editor_justifycenter";
            
            this._isJustifyRight = false;
            this._buttonJustifyRight.className = "gtk_text_editor_justifyright";
            
            this._isJustifyFull = false;
            this._buttonJustifyFull.className = "gtk_text_editor_justifyfull";
     }
     this.setFocus();
};

gtk.TextEditor.prototype._triggerToggleJustifyCenter = function(){
        if (!this._isJustifyCenter){
            this._buttonJustifyCenter.className += " gtk_text_editor_active";
            this._setStyle("justifycenter");
            
            this._isJustifyLeft = false;
            this._buttonJustifyLeft.className = "gtk_text_editor_justifyleft";
            
            this._isJustifyRight = false;
            this._buttonJustifyRight.className = "gtk_text_editor_justifyright";
            
            this._isJustifyFull = false;
            this._buttonJustifyFull.className = "gtk_text_editor_justifyfull"; 
        }
        this.setFocus();          
};

gtk.TextEditor.prototype._triggerToggleJustifyRight = function(){
       if (!this._isJustifyRight){
            this._buttonJustifyRight.className += " gtk_text_editor_active";
            this._setStyle("justifyright");
            
            this._isJustifyCenter = false;
            this._buttonJustifyCenter.className = "gtk_text_editor_justifycenter";
            
            this._isJustifyLeft = false;
            this._buttonJustifyLeft.className = "gtk_text_editor_justifyleft";
            
            this._isJustifyFull = false;
            this._buttonJustifyFull.className = "gtk_text_editor_justifyfull";
        }
        this.setFocus();
};
gtk.TextEditor.prototype._triggerToggleJustifyFull = function(){
       if(!this._isJustifyFull){
            this._buttonJustifyFull.className += " gtk_text_editor_active";
            this._setStyle("justifyfull");
            
            this._isJustifyCenter = false;
            this._buttonJustifyCenter.className = "gtk_text_editor_justifycenter";
            
            this._isJustifyRight = false;
            this._buttonJustifyRight.className = "gtk_text_editor_justifyright";
            
            this._isJustifyLeft = false;
            this._buttonJustifyLeft.className = "gtk_text_editor_justifyleft";
        }           
        this.setFocus();
};

gtk.TextEditor.prototype._resetBoldToolBar = function(StyleCmd, isCmdSet){
    if(isCmdSet == true && this._isBold == false){
        this._buttonBold.className += " gtk_text_editor_active";
        this._isBold = true;
    }
    else if(isCmdSet == false && this._isBold == true){
         this._buttonBold.className = "gtk_text_editor_bold";
         this._isBold = false;
    }
    
};

gtk.TextEditor.prototype._resetItalicToolBar = function(StyleCmd, isCmdSet){
    if(isCmdSet == true && this._isItalic == false){
        this._buttonItalic.className += " gtk_text_editor_active";
        this._isItalic = true;
    }
    else if(isCmdSet == false && this._isItalic == true){
         this._buttonItalic.className = "gtk_text_editor_italic";
         this._isItalic = false;
    }
};

gtk.TextEditor.prototype._resetUnderlineToolBar = function(StyleCmd, isCmdSet){
    if(isCmdSet == true && this._isUnderline == false){
        this._buttonUnderline.className += " gtk_text_editor_active";
        this._isUnderline = true;
    }
    else if(isCmdSet == false && this._isUnderline == true){
         this._buttonUnderline.className = "gtk_text_editor_underline";
         this._isUnderline = false;
    }
};

gtk.TextEditor.prototype._resetStrikethroughToolBar = function(StyleCmd, isCmdSet){
    if(isCmdSet == true && this._isStrikethrough == false){
        this._buttonStrikethrough.className += " gtk_text_editor_active";
        this._isStrikethrough = true;
    }
    else if(isCmdSet == false && this._isStrikethrough == true){
         this._buttonStrikethrough.className = "gtk_text_editor_strikethrough";
         this._isStrikethrough = false;
    }
};

gtk.TextEditor.prototype._resetLinkToolBar = function(isCmdSet){
    if(isCmdSet === true){
        this._buttonLink.className += " gtk_text_editor_active";
    }
    else{
         this._buttonLink.className = "gtk_text_editor_link";
    }
};

gtk.TextEditor.prototype._resetToggleButtonList = function(){
    if(this._getCommandState("insertOrderedList") === true){
           this._buttonNumberedList.className += " gtk_text_editor_active";
           this._buttonBulletedList.className = "gtk_text_editor_bulleted";  
    }
    else if(this._getCommandState("insertUnorderedList") === true){
            this._buttonBulletedList.className += " gtk_text_editor_active";
            this._buttonNumberedList.className = "gtk_text_editor_numberedlist";                  
    }
    else{
        this._buttonNumberedList.className = "gtk_text_editor_numberedlist";
        this._buttonBulletedList.className = "gtk_text_editor_bulleted";   
    }
    this.setFocus();
};

gtk.TextEditor.prototype._iFrameInitEvent = function(){
    var self = this;
    this.setEditableMode();
    this.setFocus();
                                                         
    jsgtk.Event.addDomListener(this._getIFrameDoc(), "click", function(e){
        self._resetToolbarByMouseUp();
        self._hideTextColorPicker();
        self._hideHighlightColorPicker();
        self._hideFontType();
        self._hideFontSize();
        jsgtk.Event.stopBubble(e);
    });
    
    jsgtk.Event.addDomListener(this._getIFrameDoc(), "keyup", function(e){
       self._resetToolbarByKeyUp(e);                      
    });
    
    jsgtk.Event.addDomListener(this._getIFrameDoc(), "keydown", function(e){
            if(e.keyCode == 13){
               self._enterKeyPressed = true;
            }
            else if(e.keyCode != 13){
                    self._enterKeyPressed = false;
               
            }
   });
};
gtk.TextEditor.prototype._removeStyle = function(buttonStyle, styleName){ 
        buttonStyle.className = "gtk_text_editor_"+ styleName;
                this._setStyle(styleName);
                this._setStyle(styleName);
};
gtk.TextEditor.prototype._resetToolbarByMouseUp = function(){
        if(this._getCommandState("Bold") == false){
            this._removeStyle(this._buttonBold,"bold");
            this._isBold = false;
        }
        this._resetBoldToolBar("Bold", this._getCommandState("Bold"));
        
        if(this._getCommandState("italic") == false){
            this._removeStyle(this._buttonItalic,"italic");
            this._isItalic = false;
        }
        this._resetItalicToolBar("italic", this._getCommandState("italic"));
        
        if(this._getCommandState("underline") == false){
            this._removeStyle(this._buttonUnderline,"underline");
            this._isUnderline = false;
        }
        this._resetUnderlineToolBar("underline", this._getCommandState("underline"));
        
        if(this._getCommandState("strikethrough") == false){
            this._removeStyle(this._buttonStrikethrough,"strikethrough");
            this._isStrikethrough = false;
        }
        this._resetStrikethroughToolBar("strikethrough", this._getCommandState("strikethrough"));
        this._toggleJustifyToolbar();
        this._resetLinkToolBar(this._getAncestor(this._getSelectTextObj().anchorNode));
        this._resetToggleButtonList();
};

gtk.TextEditor.prototype._toggleJustifyToolbar = function(){
    if(this._getCommandState("justifyleft") == true){
            
            this._triggerToggleJustifyLeft(); 
            this._isJustifyLeft = true; 
        }
        else if(this._getCommandState("justifycenter") == true){
            this._triggerToggleJustifyCenter(); 
            this._isJustifyCenter = true; 
        }
        else if(this._getCommandState("justifyright") == true){
            this._triggerToggleJustifyRight();
             this._isJustifyRight = true;  
        }
        else if(this._getCommandState("justifyfull") == true){
            this._triggerToggleJustifyFull(); 
            this._isJustifyFull = true; 
        }
};

gtk.TextEditor.prototype._toggleJustifyToolbarBackspaceKey = function(){
    if(this._getCommandState("justifyleft") == true){
            this._buttonJustifyLeft.className += " gtk_text_editor_active";
                        
            this._isJustifyCenter = false;
            this._buttonJustifyCenter.className = "gtk_text_editor_justifycenter";
            
            this._isJustifyRight = false;
            this._buttonJustifyRight.className = "gtk_text_editor_justifyright";
            
            this._isJustifyFull = false;
            this._buttonJustifyFull.className = "gtk_text_editor_justifyfull";
     }
     else if(this._getCommandState("justifycenter") == true){
            this._buttonJustifyCenter.className += " gtk_text_editor_active";
                        
            this._isJustifyFull = false;
            this._buttonJustifyFull.className = "gtk_text_editor_justifyfull";
            
            this._isJustifyRight = false;
            this._buttonJustifyRight.className = "gtk_text_editor_justifyright";
            
            this._isJustifyLeft = false;
            this._buttonJustifyLeft.className = "gtk_text_editor_justifyleft";
            
     }
     else if(this._getCommandState("justifyright") == true){
            this._isJustifyRight = true;
            this._buttonJustifyRight.className += " gtk_text_editor_active";
                        
            this._isJustifyFull = false;
            this._buttonJustifyFull.className = "gtk_text_editor_justifyfull";
            
            this._isJustifyCenter = false;
            this._buttonJustifyCenter.className = "gtk_text_editor_justifycenter";
            
            this._isJustifyLeft = false;
            this._buttonJustifyLeft.className = "gtk_text_editor_justifyleft";
     }
     else if(this._getCommandState("justifyfull") == true){
            this._isJustifyFull = true;
            this._buttonJustifyFull.className += " gtk_text_editor_active";
                        
            this._isJustifyCenter = false;
            this._buttonJustifyCenter.className = "gtk_text_editor_justifycenter";
            
            this._isJustifyRight = false;
            this._buttonJustifyRight.className = "gtk_text_editor_justifyright";
            
            this._isJustifyLeft = false;
            this._buttonJustifyLeft.className = "gtk_text_editor_justifyleft"; 
     }
};

gtk.TextEditor.prototype._resetToolbarByKeyUp = function(e){
     var keyId = e.keyCode;
     if((keyId >=38) && (keyId <=40)){
            this._resetBoldToolBar("Bold", this._getCommandState("Bold"));
            this._resetItalicToolBar("italic", this._getCommandState("italic"));
            this._resetUnderlineToolBar("underline", this._getCommandState("underline"));
            this._resetStrikethroughToolBar("strikethrough", this._getCommandState("strikethrough"));
            this._toggleJustifyToolbar();
            this._resetLinkToolBar(this._getAncestor(this._getSelectTextObj().anchorNode));
            
        }else if(keyId == 46){
            if(this._getCommandState("Bold") == false){
                this._removeStyle(this._buttonBold,"bold");
                this._isBold = false;
            }
            if(this._getCommandState("italic") == false){
                this._removeStyle(this._buttonItalic,"italic");
                this._isItalic = false;
            }
            
            if(this._getCommandState("underline") == false){
                this._removeStyle(this._buttonUnderline,"underline");
                this._isUnderline = false;
            }
            
            if(this._getCommandState("strikethrough") == false){
                this._removeStyle(this._buttonStrikethrough,"strikethrough");
                this._isStrikethrough = false;
            }
            
            this._toggleJustifyToolbar();  
            this._resetLinkToolBar(this._getAncestor(this._getSelectTextObj().anchorNode));        
            
        }else if(keyId == 8 || keyId == 37){
        
            if(this._getCommandState("bold") == false){
                this._removeStyle(this._buttonBold,"bold");
                this._isBold = false;           
            }else{
                
                this._resetBoldToolBar("bold", this._getCommandState("bold"));
                this._isBold = true;
            }
            
            if(this._getCommandState("italic") == false){
                this._removeStyle(this._buttonItalic,"italic");
                this._isItalic = false;
            }else{
                this._resetItalicToolBar("italic", this._getCommandState("italic"));
                this._isItalic = true;
            }
            
            if(this._getCommandState("underline") == false){
                this._removeStyle(this._buttonUnderline,"underline");
                this._isUnderline = false;
            }else{
                this._resetUnderlineToolBar("underline", this._getCommandState("underline"));
                this._isUnderline = true;
            }
            
            if(this._getCommandState("strikethrough") == false){
                this._removeStyle(this._buttonStrikethrough,"strikethrough");
                this._isStrikethrough = false;
            }else{
                this._resetStrikethroughToolBar("strikethrough", this._getCommandState("strikethrough"));
                this._isStrikethrough = true;
            }
        
            this._toggleJustifyToolbarBackspaceKey();
            this._resetLinkToolBar(this._getAncestor(this._getSelectTextObj().anchorNode));
        }
        this._resetToggleButtonList();
};
