/**
 * VBoxFactory is a class to create a vertical box as a container. 
 * @param {Boolean} homogeneous The boolean value whether true or false
 * @param {Integer} spacing The integer value in pixel as spacing to be set
 * @param {Integer} padding The integer value in pixel as padding to be set
 * @see gtk.VBox
 * @constructor
 */
gtk.VBoxFactory = function(homogeneous, spacing, padding) {
    return homogeneous ? 
           new gtk.VBoxHomogeneous(spacing, padding) : 
           new gtk.VBoxNoneHomogeneous(spacing, padding);
};
